Bug 820785 - reliance on yaboot 1.3.14
reliance on yaboot 1.3.14
Status: CLOSED INSUFFICIENT_DATA
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
ppc64 Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Nick Coghlan
MC
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 19:54 EDT by Nish Aravamudan
Modified: 2012-11-07 02:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 02:22:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nish Aravamudan 2012-05-10 19:54:13 EDT
yaboot 1.3.14 supports finding the configuration file by hex IP address. yaboot 1.3.16 apparently does not. 1.3.16, though, is necessary to netinstall Fedora on ppc64.
Comment 1 Dan Callaghan 2012-06-05 06:26:19 EDT
(In reply to comment #0)
> yaboot 1.3.14 supports finding the configuration file by hex IP address.
> yaboot 1.3.16 apparently does not.

I'm not at all familiar with yaboot, and I don't have a ppc box handy to play with boot loaders on -- but are you sure this is true? From my cursory reading of yaboot git, it seems even in the latest version 1.3.17 the code exists to fetch the config file by IP address. If it's not working properly for you, we will need more details to track down what is going wrong.

Can you turn up verbosity of the TFTP server (add -v to server_args in /etc/xinet.d/tftp) so we can see exactly what filenames yaboot fetches?

Can you paste the complete DHCP response being send to yaboot, so we can see if there is anything odd? (For dnsmasq you can set log-dhcp in /etc/dnsmasq.conf, for ISC dhcpd I'm not sure. Or just use wireshark.)
Comment 2 Nick Coghlan 2012-10-17 00:37:51 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Min Shin 2012-11-07 02:22:33 EST
This bugs is closed as it is either not in the current Beaker scope or we could not find sufficient data in the bug report for consideration.
Please feel free to reopen the bug with additional information and/or business cases behind it.

Note You need to log in before you can comment on or make changes to this bug.